Skip to content
ShaireDevelopers

views

4 endpoints.

get/api/views#

Query

listIdstring · uuid
Request
curl https://api.shairelabs.com/api/views \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · SavedView[]

idstring · uuid*
workspaceIdstring · uuid*
listIdstring · uuid | null*
ownerIdstring · uuid*
namestring*
iconstring | null*
min length 1 · max length 32
sharedboolean*
viewModestring*
listboardtimelinecalendar
groupBystring*
statusassigneeprioritymilestonecycle
filterobject*
listIdstring · uuid
milestoneIdstring · uuid | string
cycleIdstring · uuid | string
statusIdstring · uuid
systemicStatestring | string[]
assigneeIdstring · uuid | string
tagIdstring · uuid | string | (string · uuid | string)[]
tagMatchstring
anyall
prioritystring
nonelowmediumhighurgent
dueBeforestring · date
archivedstring
onlywith
fieldIdstring · uuid
fieldValuestring
sortobject | object[]*
columnsobject*
hiddenstring[]
default []
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.

post/api/views#

Body

namestring*
min length 1 · max length 120
listIdstring · uuid | null
default null
iconstring | null
min length 1 · max length 32 · default null
sharedboolean
default false
viewModestring*
listboardtimelinecalendar
groupBystring*
statusassigneeprioritymilestonecycle
filterobject
default {}
listIdstring · uuid
milestoneIdstring · uuid | string
cycleIdstring · uuid | string
statusIdstring · uuid
systemicStatestring | string[]
assigneeIdstring · uuid | string
tagIdstring · uuid | string | (string · uuid | string)[]
tagMatchstring
anyall
prioritystring
nonelowmediumhighurgent
dueBeforestring · date
archivedstring
onlywith
fieldIdstring · uuid
fieldValuestring
sortobject | object[]
default {}
columnsobject
default {}
hiddenstring[]
default []
Request
curl https://api.shairelabs.com/api/views \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example","viewMode":"list","groupBy":"status"}'

Response · 201 · SavedView

idstring · uuid*
workspaceIdstring · uuid*
listIdstring · uuid | null*
ownerIdstring · uuid*
namestring*
iconstring | null*
min length 1 · max length 32
sharedboolean*
viewModestring*
listboardtimelinecalendar
groupBystring*
statusassigneeprioritymilestonecycle
filterobject*
listIdstring · uuid
milestoneIdstring · uuid | string
cycleIdstring · uuid | string
statusIdstring · uuid
systemicStatestring | string[]
assigneeIdstring · uuid | string
tagIdstring · uuid | string | (string · uuid | string)[]
tagMatchstring
anyall
prioritystring
nonelowmediumhighurgent
dueBeforestring · date
archivedstring
onlywith
fieldIdstring · uuid
fieldValuestring
sortobject | object[]*
columnsobject*
hiddenstring[]
default []
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.

patch/api/views/{id}#

Path

idstring*

Body

namestring
min length 1 · max length 120
iconstring | null
min length 1 · max length 32
sharedboolean
viewModestring
listboardtimelinecalendar
groupBystring
statusassigneeprioritymilestonecycle
filterobject
listIdstring · uuid
milestoneIdstring · uuid | string
cycleIdstring · uuid | string
statusIdstring · uuid
systemicStatestring | string[]
assigneeIdstring · uuid | string
tagIdstring · uuid | string | (string · uuid | string)[]
tagMatchstring
anyall
prioritystring
nonelowmediumhighurgent
dueBeforestring · date
archivedstring
onlywith
fieldIdstring · uuid
fieldValuestring
sortobject | object[]
columnsobject
hiddenstring[]
default []
Request
curl https://api.shairelabs.com/api/views/$VIEW_ID \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · SavedView

idstring · uuid*
workspaceIdstring · uuid*
listIdstring · uuid | null*
ownerIdstring · uuid*
namestring*
iconstring | null*
min length 1 · max length 32
sharedboolean*
viewModestring*
listboardtimelinecalendar
groupBystring*
statusassigneeprioritymilestonecycle
filterobject*
listIdstring · uuid
milestoneIdstring · uuid | string
cycleIdstring · uuid | string
statusIdstring · uuid
systemicStatestring | string[]
assigneeIdstring · uuid | string
tagIdstring · uuid | string | (string · uuid | string)[]
tagMatchstring
anyall
prioritystring
nonelowmediumhighurgent
dueBeforestring · date
archivedstring
onlywith
fieldIdstring · uuid
fieldValuestring
sortobject | object[]*
columnsobject*
hiddenstring[]
default []
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.

delete/api/views/{id}#

Path

idstring*
Request
curl https://api.shairelabs.com/api/views/$VIEW_ID \
  -X DELETE \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.